# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor/Lite.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Net/Azure/Authorization/SAS.pm) perl(Net/SSLeay.pm) perl(String/CamelCase.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Time.pm) perl(URI.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Net-Azure-NotificationHubs
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: A Client Class for Azure Notification Hubs
Group: Development/Perl
License: perl
URL: https://github.com/ytnobody/p5-Net-Azure-NotifcationHubs

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YT/YTURTLE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::Azure::NotificationHubs is a cliant class for Azure Notification Hubs.

If you want to know more information about Azure Notification Hubs, please see https://msdn.microsoft.com/en-us/library/dn223264.aspx. 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/N*

%changelog
* Fri Feb 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

